Package groovy.lang

# Class DeprecationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.DeprecationException

All Implemented Interfaces:
  `Serializable`

public class DeprecationException extends RuntimeException
Use this exception to mark a method implementation as being deprecated. Use the message to indicate the recommended way of calling the desired functionality. Make throwing this exception the only line in the method implementation, i.e. unlike the JavaDoc deprecated feature there is no relay to the new implementation but an early and deliberate halt of execution ("fail early"). This exception is supposed to be used in the SNAPSHOT releases only. Before release, all references to this exception should be resolved and the according methods removed.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeprecationException(String message)`
  Creates a deprecation exception with the supplied message.
  `DeprecationException(String message, Throwable cause)`
  Creates a deprecation exception with the supplied message and cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeprecationException

    public DeprecationException(String message)
    Creates a deprecation exception with the supplied message.
    Parameters:
      `message` - the detail message

  - ### DeprecationException

    public DeprecationException(String message, Throwable cause)
    Creates a deprecation exception with the supplied message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the underlying cause